## r-cran-propclust 1.4

=== DESCRIPTION ===
Package: PropClust
Type: Package
Title: Propensity Clustering and Decomposition
Version: 1.4-6
Date: 2018-09-12
Author: John Michael O Ranola, Kenneth Lange, Steve Horvath, Peter Langfelder
Maintainer: Peter Langfelder <Peter.Langfelder@gmail.com>
Depends: R (>= 3.0.0), fastcluster, dynamicTreeCut
Imports: stats
Description: Implementation of propensity clustering and
        decomposition as described in Ranola et al. (2013) <doi:10.1186/1752-0509-7-21>. 
        Propensity decomposition can be viewed on the
        one hand as a generalization of the eigenvector-based
        approximation of correlation networks, and on the other hand as
        a generalization of random multigraph models and
        conformity-based decompositions.
License: GPL (>= 2)
LazyLoad: yes
NeedsCompilation: yes
Packaged: 2018-09-12 15:49:22 UTC; plangfelder
Repository: CRAN
Date/Publication: 2018-09-15 07:10:10 UTC

## r-cran-propclust 1.4-6

=== debian/changelog ===
r-cran-propclust (1.4-6-1) unstable; urgency=medium

  * Initial release (closes: #940294)

 -- Steffen Moeller <moeller@debian.org>  Sun, 15 Sep 2019 12:55:30 +0200

=== debian/control ===
Source: r-cran-propclust
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-fastcluster,
               r-cran-dynamictreecut
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-propclust
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-propclust.git
Homepage: https://cran.r-project.org/package=PropClust

Package: r-cran-propclust
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Propensity Clustering and Decomposition
 Implementation of propensity clustering and decomposition as described
 in Ranola et al. (2013) <doi:10.1186/1752-0509-7-21>. Propensity
 decomposition can be viewed on the one hand as a generalization of the
 eigenvector-based approximation of correlation networks, and on the
 other hand as a generalization of random multigraph models and conformity-
 based decompositions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	rm -f src/constants.mod src/multigraph.mod src/string_manipulation.mod src/tools.mod

## r-cran-propclust 1.4-7

=== debian/changelog ===
r-cran-propclust (1.4-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 07:50:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-propclust
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-propclust
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-propclust.git
+Homepage: https://cran.r-project.org/package=PropClust
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-fastcluster,
                r-cran-dynamictreecut
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-propclust
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-propclust.git
-Homepage: https://cran.r-project.org/package=PropClust
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-propclust
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,3 @@
 
 override_dh_auto_clean:
 	rm -f src/constants.mod src/multigraph.mod src/string_manipulation.mod src/tools.mod
-
